import { Logger } from 'homebridge';
import { HomeWizardApiBasicInformationResponse, HomeWizardApiIdentifyResponse, HomeWizardApiStatePutParams, HomeWizardApiStateResponse } from './types';
import { Dispatcher } from 'undici';
export declare class HomeWizardApiError extends Error {
    constructor(message: string);
}
interface HomeWizardApiOptions {
    apiVersion?: 'v1';
    logger: Logger;
}
export declare class HomeWizardApi {
    private readonly log;
    private readonly url;
    private apiVersion;
    constructor(url: string, options: HomeWizardApiOptions);
    get endpoints(): {
        basic: string;
        state: string;
        identify: string;
    };
    get loggerPrefix(): string;
    isResponseOk(response: Dispatcher.ResponseData): boolean;
    throwApiError(url: string, method: string, response: Dispatcher.ResponseData): Promise<never>;
    getBasicInformation(): Promise<HomeWizardApiBasicInformationResponse>;
    getState(): Promise<HomeWizardApiStateResponse>;
    putState<Keys extends keyof HomeWizardApiStateResponse>(params: HomeWizardApiStatePutParams<Keys>): Promise<HomeWizardApiStatePutParams<Keys>>;
    putIdentify(firmwareVersion: number | null): Promise<HomeWizardApiIdentifyResponse>;
}
export {};
//# sourceMappingURL=api.d.ts.map