import { PlatformConfig } from 'homebridge';
export declare const PLATFORM_MANUFACTURER = "HomeWizard";
export declare const MDNS_DISCOVERY_TYPE = "hwenergy";
export declare const MDNS_DISCOVERY_PROTOCOL = "tcp";
export declare enum HomeWizardDeviceTypes {
    WIFI_PI_METER = "HWE-P1",
    WIFI_ENERGY_SOCKET = "HWE-SKT",
    WIFI_WATER_METER = "HWE-WTR",
    WIFI_KWH_METER_PHASE_1 = "SDM230-wifi",
    WIFI_KWH_METER_PHASE_2 = "SDM630-wifi"
}
export interface TxtRecord {
    api_enabled: string;
    path: string;
    serial: string;
    product_name: string;
    product_type: string;
}
export interface EnergySocketAccessoryProperties {
    uuid: string;
    ip: string;
    apiVersion: string;
    apiUrl: string;
    serialNumber: string;
    productName: string;
    productType: string;
    displayName: string;
    firmwareVersion: string;
}
export interface HomeWizardEnergyConfig extends PlatformConfig {
    energySockets?: {
        name: string;
        ip: string;
    }[];
}
export interface HomeWizardApiStateResponse {
    power_on: boolean;
    switch_lock: boolean;
    brightness: number;
}
export type HomeWizardApiStatePutParams<Keys extends keyof HomeWizardApiStateResponse> = Pick<HomeWizardApiStateResponse, Keys>;
export interface HomeWizardApiBasicInformationResponse {
    product_type: string;
    product_name: string;
    serial: string;
    firmware_version: string;
    api_version: string;
}
export interface HomeWizardApiIdentifyResponse {
    identify: 'ok';
}
export interface HomeWizardEnergyPlatformAccessoryContext {
    energySocket: EnergySocketAccessoryProperties;
}
export interface HomeWizardApiErrorResponse {
    error: {
        id: ErrorCodes;
        description: string;
    };
}
export declare enum ErrorCodes {
    BODY_CONTAINS_INVALID_JSON = 2,
    NO_DATA_IN_BODY = 5,
    INVALID_VALUE_FOR_PARAMETER = 7,
    PARAMETER_IS_NOT_MODIFIABLE = 8,
    REQUEST_TO_LONG = 201,
    API_DISABLED = 202,
    INTERNAL_ERROR = 901
}
//# sourceMappingURL=types.d.ts.map