import { PlatformAccessory, CharacteristicValue } from 'homebridge';
import { HomeWizardApi } from './api/api';
import { HomebridgeHomeWizardEnergySocket } from './platform';
import { HomeWizardApiIdentifyResponse, HomeWizardApiStateResponse, HomeWizardEnergyPlatformAccessoryContext } from './api/types';
export declare class EnergySocketAccessory {
    private readonly platform;
    private readonly accessory;
    private service;
    private informationService;
    private properties;
    private loggerPrefix;
    private homeWizardApi;
    private localStateResponse;
    constructor(platform: HomebridgeHomeWizardEnergySocket, accessory: PlatformAccessory<HomeWizardEnergyPlatformAccessoryContext>, api: HomeWizardApi);
    get firmwareVersion(): number | null;
    handleIdentify(): Promise<HomeWizardApiIdentifyResponse>;
    getModel(productName: string, productType: string): string;
    get isSwitchLockEnabled(): boolean;
    handleSetOn(value: CharacteristicValue): Promise<void>;
    setLocalStateResponse(response: HomeWizardApiStateResponse): void;
    handleGetOn(): Promise<CharacteristicValue>;
    handleAccessoryApiError(error: unknown, fallbackErrorMessage?: string): import("homebridge").HapStatusError;
}
//# sourceMappingURL=energy-socket-accessory.d.ts.map